Storyden
Admin

Admin O Auth Dynamic Registration Access Token List

List agent registration tokens, including expired and revoked tokens. Secret values and hashes are never returned.

GET
/admin/oauth/dcr-iats

List agent registration tokens, including expired and revoked tokens. Secret values and hashes are never returned.

Authorization

cookiestoryden-session<token>

Query Parameters

page?string

Pagination query parameters.

Response Body

Registration tokens.

application/json
  1. response

To be composed with paginated resource responses.

page_size*integer
results*integer
total_pages*integer
current_page*integer
next_page?integer
iats*array<>
Example Request
curl -X GET 'https://example.com/api/admin/oauth/dcr-iats'
Example Response
{  "page_size": 0,  "results": 0,  "total_pages": 0,  "current_page": 0,  "next_page": 0,  "iats": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "label": "string",      "creator_account_id": "string",      "expires_at": "2019-08-24T14:15:22Z",      "max_registrations": 0,      "registration_count": 0,      "revoked_at": "2019-08-24T14:15:22Z"    }  ]}